Skip to main content
POST
/
v2
/
private
/
fundraiser
/
{id}
/
offline-donations
Create Offline Transaction
curl --request POST \
  --url https://api.crowdchange.dev/v2/private/fundraiser/{id}/offline-donations \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": 123,
  "name": "<string>",
  "fundraiser_team_id": 123,
  "fundraiser_page_id": 123,
  "email": "<string>",
  "is_lump_sum": true,
  "is_pending": true,
  "pay_method": "<string>",
  "comment": "<string>",
  "billing": {
    "first_name": "<string>",
    "last_name": "<string>",
    "business_name": "<string>",
    "is_foundation": true,
    "address": "<string>",
    "city": "<string>",
    "state": "<string>",
    "zip": "<string>",
    "country": "<string>",
    "phone": "<string>"
  }
}
'
{
  "id": 123123,
  "user_id": 120120,
  "email": "john@example.com",
  "amount": 49.95,
  "currency": "USD",
  "fundraiser_id": 1,
  "fundraiser_team_id": 1,
  "fundraiser_page_id": 1
}

Path parameters

id
integer
required
Campaign ID.

Body

amount
number
Full amount of offline transaction in xxx.xx format.
name
string
Donor’s full name.
fundraiser_team_id
integer
Team ID.
fundraiser_page_id
integer
Page ID.
email
string
Donor’s email.
is_lump_sum
boolean
Whether the transaction is recorded as a lump sum.
is_pending
boolean
Whether the transaction is pending.
pay_method
string
Payment method used for the offline transaction.
comment
string
Comment associated with the transaction.
billing
object
Billing information.

Response

id
integer
Transaction ID.
user_id
integer
Donor ID.
email
string
Donor email.
amount
number
Full amount.
currency
string
Currency code. Allowed values: CAD, USD, AUD, EUR
fundraiser_id
integer
Campaign ID.
fundraiser_team_id
integer
Team ID.
fundraiser_page_id
integer
Page ID.
Other responses
StatusDescription
400Bad Request
403Forbidden
{
  "id": 123123,
  "user_id": 120120,
  "email": "john@example.com",
  "amount": 49.95,
  "currency": "USD",
  "fundraiser_id": 1,
  "fundraiser_team_id": 1,
  "fundraiser_page_id": 1
}